summaryrefslogtreecommitdiff
path: root/meta-openpower/recipes-phosphor/occ
diff options
context:
space:
mode:
authorPatrick Williams <patrick@stwcx.xyz>2023-04-14 22:51:53 +0300
committerPatrick Williams <patrick@stwcx.xyz>2023-04-20 14:36:29 +0300
commit42347499d6f8229a66a1ec01f15b1af81eba2257 (patch)
tree3b0f33b514243262253800f5ac486778be16de5c /meta-openpower/recipes-phosphor/occ
parent1f2505f16f1a279a78d9066ef969a0539b6d0352 (diff)
downloadopenbmc-42347499d6f8229a66a1ec01f15b1af81eba2257.tar.xz
meta-openpower: fix shellcheck issues
Signed-off-by: Patrick Williams <patrick@stwcx.xyz> Change-Id: I35a9ffed937919467dec62a1fbff729f4a51366c
Diffstat (limited to 'meta-openpower/recipes-phosphor/occ')
-rwxr-xr-xmeta-openpower/recipes-phosphor/occ/openpower-occ-control/occ-active.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/meta-openpower/recipes-phosphor/occ/openpower-occ-control/occ-active.sh b/meta-openpower/recipes-phosphor/occ/openpower-occ-control/occ-active.sh
index dc1f39bcb6..bb9e482ae5 100755
--- a/meta-openpower/recipes-phosphor/occ/openpower-occ-control/occ-active.sh
+++ b/meta-openpower/recipes-phosphor/occ/openpower-occ-control/occ-active.sh
@@ -1,15 +1,15 @@
#!/bin/sh
# set and unset occ active for all occ's in system
-if [ "$1" == "disable" ]; then
+if [ "$1" = "disable" ]; then
value='false'
-elif [ "$1" == "enable" ]; then
+elif [ "$1" = "enable" ]; then
value='true'
else
echo "Usage: occ-active.sh [argument]"
echo " enable - set occ's to active state"
echo " disable - set occ's to inactive state"
- exit -1
+ exit 1
fi
OCC_CONTROL_SERVICE="org.open_power.OCC.Control"